MailSummary (consumer-service 1.9.0-2.17.2 API)
Date: 2014-01-30

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.messaging.common.consumer.mail
Class MailSummary

    java.lang.Object
      org.gcube.common.core.utils.handlers.GCUBEHandler<MailSummary>
          org.gcube.messaging.common.consumer.mail.MailSummary

All Implemented Interfaces:
  org.gcube.common.core.utils.handlers.GCUBEIHandler<MailSummary>

    public class MailSummary

extends org.gcube.common.core.utils.handlers.GCUBEHandler<MailSummary>

Mail summary class

Author:
  Andrea Manzi(CERN)

Field Summary
`static String` | `DATE_FORMAT_DAY`
`static SimpleDateFormat` | `format`
`protected static org.gcube.messaging.common.consumer.mail.MailSummary.DailyScheduler` | `scheduler`

Fields inherited from class org.gcube.common.core.utils.handlers.GCUBEHandler
`handled, producer`

Constructor Summary
`MailSummary()` The constructor

Method Summary
`void` | `execute()` execute the scheduler
`void` | `run()`
`static void` | `sendReport(org.gcube.common.core.scope.GCUBEScope scope, String date)` Send A daily report

Methods inherited from class org.gcube.common.core.utils.handlers.GCUBEHandler
`clearBlackboard, getBlackboard, getHandled, getId, getLogger, getName, getScopeManager, getSecurityManager, getState, notify, setBlackboard, setHandled, setLogger, setName, setScopeManager, setSecurityManager, setState, subscribe, undo, unsubscribe`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATE_FORMAT_DAY

    public static final String DATE_FORMAT_DAY

See Also:
  Constant Field Values

### format

    public static SimpleDateFormat format

### scheduler

    protected static org.gcube.messaging.common.consumer.mail.MailSummary.DailyScheduler scheduler

Constructor Detail

### MailSummary

    public MailSummary()
                throws IOException

  The constructor

  Throws:
    `IOException` - IOException

Method Detail

### execute

    public void execute()

  execute the scheduler

### run

    public void run()
             throws Exception

  Specified by:
    `run` in interface `org.gcube.common.core.utils.handlers.GCUBEIHandler<MailSummary>`
  Specified by:
    `run` in class `org.gcube.common.core.utils.handlers.GCUBEHandler<MailSummary>`
  Throws:
    `Exception`

### sendReport

    public static void sendReport(org.gcube.common.core.scope.GCUBEScope scope,
                                  String date)
                           throws IOException

  Send A daily report

  Parameters:
    `scope` - the scope
    `date` - the date
  Throws:
    `IOException` - exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.